Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343795 - Organization with associated hostgroup and LCE fails to be deleted
Summary: Organization with associated hostgroup and LCE fails to be deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Roman Plevka
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1424607 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 00:52 UTC by Bruno Rocha
Modified: 2019-09-26 16:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:11:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15340 0 Normal Closed Org destroy not unassociating host groups 2021-02-16 10:28:58 UTC

Description Bruno Rocha 2016-06-08 00:52:29 UTC
Description of problem:

Organization fails to be deleted when having associated hostgroup (if it has  Life-cycle Environment specified)


Version-Release number of selected component (if applicable):

SAt 6.2 snap 14.1


Steps to Reproduce:
1. Create a new organization
2. Create a new LCE with that organization
3. Create a new hostgroup with that org and LCE
4. Delete the organization

Actual results:

Task fails with:

[foreman-tasks/action] [E] Cannot delete record because of dependent hostgroups (ActiveRecord::DeleteRestrictionError)


Expected results:

Org deletion unassociates hostgroups and lce's


Additional info:

Comment 1 Bruno Rocha 2016-06-08 00:54:43 UTC
PR oepned https://github.com/Katello/katello/pull/6108

Comment 2 Bryan Kearney 2016-06-08 02:17:49 UTC
Upstream bug assigned to paji@redhat.com

Comment 3 Bryan Kearney 2016-06-08 02:17:51 UTC
Upstream bug component is Content Management

Comment 4 Bryan Kearney 2016-06-08 02:17:52 UTC
Upstream bug assigned to paji@redhat.com

Comment 5 Roman Plevka 2016-06-08 10:11:52 UTC
Do we need separate bugs for every scenario that leads to this bug?: https://bugzilla.redhat.com/show_bug.cgi?id=1343108

Comment 6 Justin Sherrill 2016-06-08 14:19:36 UTC
Connecting redmine issue http://projects.theforeman.org/issues/15340 from this bug

Comment 8 Satellite Program 2017-02-23 21:06:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15340 has been resolved.

Comment 9 Roman Plevka 2017-08-03 15:03:17 UTC
VERIFIED
on satellite-6.3.0-16.0.beta.el7sat.noarch

Comment 10 Daniel Lobato Garcia 2017-09-28 07:12:33 UTC
*** Bug 1424607 has been marked as a duplicate of this bug. ***

Comment 11 Bryan Kearney 2018-02-21 17:11:56 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.